/*!
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  Copyright (C) 2022 jeffy-g <hirotom1107@gmail.com>
  Released under the MIT license
  https://opensource.org/licenses/mit-license.php
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
*/
/// <reference path="./csl-types.d.ts" />
/// <reference path="./import-map.d.ts" />
/**
 * @file Load zipped javascript source to page by fetch API
 * @author jeffy-g <hirotom1107@gmail.com>
 * @summary original name `compressed-script-loader`
 * @version 2.0
 */
import * as Uz from "./unzip-sync";
export type { UnzipFileFilter, FlateError, UnzipFileInfo, UnzipOptions, Unzipped } from "./unzip-sync";
declare let unzipSync: typeof Uz.unzipSync;
/**
 * ### cleanup module
 *
 * CAVEAT: Doing this completely destroys the `loader`'s functionality.
 */
declare let cleanUp: () => void;
/**
 * @param {string} base script resource base url
 * @param {string} [insertionSelector] where loaded script insert to?
 */
declare let setConfig: (base: string, insertionSelector?: string) => void;
/**
 * Load and unzip the zip file that contains the javascript source file
 *
 * @param {string} baseName zip file name. e.g - webpack
 * @param {(msg: string) => void} [log] default: `console.log`
 */
declare let loadCompressedScript: (baseName: string, log?: (msg: string) => void) => Promise<void>;
declare const version = "v1.4.21";
/**
 * `importmap` zip entry name
 */
declare const IM_MAP_ID = "$importmap.dat";
export { setConfig, loadCompressedScript, cleanUp, unzipSync, version, IM_MAP_ID };